List

  • GET
  • /user
  • /tokens

Get list of personal access tokens

Request

REQUIRED SCOPES
TOKEN_INFO

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
access_tokensShortAccessTokenView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/user/tokens" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/user/tokens", "html_url": "https://app.buddy.works/security", "access_tokens": [ { "url": "https://api.buddy.works/user/tokens/ed0f8927-c116-4afe-b555-c888dfd86c92", "html_url": "https://app.buddy.works/api-tokens/details/ed0f8927-c116-4afe-b555-c888dfd86c92", "id": "ed0f8927-c116-4afe-b555-c888dfd86c92", "name": "My API Token", "expires_at": "2025-10-17T10:30:18.123456789Z" }, { "url": "https://api.buddy.works/user/tokens/a1b2c3d4-e5f6-789a-bcde-f012345678ab", "html_url": "https://app.buddy.works/api-tokens/details/a1b2c3d4-e5f6-789a-bcde-f012345678ab", "id": "a1b2c3d4-e5f6-789a-bcde-f012345678ab", "name": "CI/CD Token", "expires_at": "2025-09-30T15:45:33.987654321Z" } ] }
STATUS
200 OK